## fonts-smc-suruma 3.2.3

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
font=Suruma

default: compile
all: compile webfonts

compile:
	@echo "Generating ${font}.ttf"
	@fontforge -lang=ff -c "Open('${font}.sfd'); Generate('${font}.ttf')";

webfonts:compile
	@echo "Generating webfonts";
	@sfntly -w ${font}.ttf ${font}.woff;
	@sfntly -e -x ${font}.ttf ${font}.eot;
	@[ -x `which woff2_compress` ] && woff2_compress ${font}.ttf;

install: compile
	@install -D -m 0644 ${font}.ttf ${DESTDIR}/${fontpath}/${font}.ttf;

test: compile
# Test the fonts
	@echo "Testing font ${font}";
	@hb-view ${font}.ttf --text-file tests/tests.txt --output-file tests/${font}.pdf;

## fonts-smc-suruma 3.2.1

=== debian/changelog ===
fonts-smc-suruma (3.2.1-1) unstable; urgency=medium

  [ Balasankar C ]
  * Team upload.
  * Splitting package fonts-smc to individual fonts

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Dec 2016 18:19:20 +0530

=== debian/control ===
Source: fonts-smc-suruma
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               fontforge (>= 1:20161005~dfsg),
               fonttools,
               libharfbuzz-bin,
               python-fontforge
Standards-Version: 3.9.8
Homepage: http://smc.org.in

Package: fonts-smc-suruma
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~), ttf-malayalam-fonts
Replaces: fonts-smc (<< 6.1~), ttf-malayalam-fonts
Description: Suruma malayalam font
 This package provides Suruma font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f *.ttf
	rm -f tests/*.pdf

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/suruma-$1\.tar\.gz/g \
  https://gitlab.com/smc/suruma/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-suruma 3.2.2

=== debian/changelog ===
fonts-smc-suruma (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility to 11.
  * Use https for URLs.
  * Add missing license to d/copyright.
  * Move maintainership to Debian Fonts Task Force.

 -- Balasankar C <balasankarc@debian.org>  Fri, 01 Mar 2019 23:26:07 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: fonts-smc-suruma
 Section: fonts
 Priority: optional
-Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
-Build-Depends: debhelper (>= 9~),
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Balasankar C <balasankarc@debian.org>
+Build-Depends: debhelper (>= 11~),
                fontforge (>= 1:20161005~dfsg),
-               fonttools,
                libharfbuzz-bin,
-               python-fontforge
-Standards-Version: 3.9.8
-Homepage: http://smc.org.in
+               python-fontforge,
+               python-fonttools
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-suruma.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-suruma
+Standards-Version: 4.3.0
+Homepage: https://smc.org.in
 
 Package: fonts-smc-suruma
 Architecture: all

## fonts-smc-suruma 3.2.3

=== debian/changelog ===
fonts-smc-suruma (3.2.3-1) unstable; urgency=medium

  * New upstream release
  * Drop dependency on Python 2 libraries (Closes: #943088)
  * Bump Standards-Revision to 4.4.1
  * Use debhelper-compat virtual packageh
  * Bump Debhelper compatibility to 12
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Tue, 21 Jan 2020 11:48:01 +0530

=== debian/control ===
Source: fonts-smc-suruma
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper-compat (= 12),
               fontforge-nox (>= 1:20161005~dfsg),
               libharfbuzz-bin
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-suruma.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-suruma
Standards-Version: 4.4.1
Homepage: https://smc.org.in
Rules-Requires-Root: no

Package: fonts-smc-suruma
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~),
        ttf-malayalam-fonts
Replaces: fonts-smc (<< 6.1~),
          ttf-malayalam-fonts
Description: Suruma malayalam font
 This package provides Suruma font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).suruma-Version(\d\S+)\.tar\.gz/suruma-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/suruma/tags?sort=updated_desc .*suruma-Version(\d\S+)\.tar\.gz
